Skip to main content
`Ctrl`+`K`

# QuantityInfoBase

class astropy.units.QuantityInfoBase(bound=False)

  Bases: `ParentDtypeInfo`

  Attributes Summary

  `attrs_from_parent` |
  `unit` |

  Methods Summary

  `default_format`(val) |
  `possible_string_format_functions`(format_) | Iterate through possible string-derived format functions.

  Attributes Documentation

  attrs_from_parent = {'dtype', 'unit'}
  unit

  Methods Documentation

  static default_format(val)
  static possible_string_format_functions(format_)

    Iterate through possible string-derived format functions.

    A string can either be a format specifier for the format built-in, a new-style format string, or an old-style format string.

    This method is overridden in order to suppress printing the unit in each row since it is already at the top in the column header.